/*
 * Mex - a media explorer
 *
 * Copyright © 2010, 2011 Intel Corporation.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms and conditions of the GNU Lesser General Public License,
 * version 2.1, as published by the Free Software Foundation.
 *
 * This program is distributed in the hope it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; if not, see <http://www.gnu.org/licenses>
 */

#ifndef __MEX_H__
#define __MEX_H__

#include <glib.h>

#include <mex/mex-action-list.h>
#include <mex/mex-action-manager.h>
#include <mex/mex-action-provider.h>
#include <mex/mex-aggregate-model.h>
#include <mex/mex-applet.h>
#include <mex/mex-applet-manager.h>
#include <mex/mex-applet-provider.h>
#include <mex/mex-application.h>
#include <mex/mex-application-category.h>
#include <mex/mex-background.h>
#include <mex/mex-background-manager.h>
#include <mex/mex-channel.h>
#include <mex/mex-channel-manager.h>
#include <mex/mex-channel-provider.h>
#include <mex/mex-clock-bin.h>
#include <mex/mex-column.h>
#include <mex/mex-column-view.h>
#include <mex/mex-content.h>
#include <mex/mex-content-box.h>
#include <mex/mex-content-button.h>
#include <mex/mex-content-proxy.h>
#include <mex/mex-content-tile.h>
#include <mex/mex-content-view.h>
#include <mex/mex-debug.h>
#include <mex/mex-download-queue.h>
#include <mex/mex-explorer.h>
#include <mex/mex-epg.h>
#include <mex/mex-epg-event.h>
#include <mex/mex-epg-grid.h>
#include <mex/mex-epg-manager.h>
#include <mex/mex-epg-provider.h>
#include <mex/mex-epg-radiotimes.h>
#include <mex/mex-epg-tile.h>
#include <mex/mex-generic-model.h>
#include <mex/mex-generic-proxy.h>
#include <mex/mex-grid.h>
#include <mex/mex-grid-view.h>
#include <mex/mex-grilo.h>
#include <mex/mex-grilo-feed.h>
#include <mex/mex-grilo-tracker-feed.h>
#include <mex/mex-group-item.h>
#include <mex/mex-info-bar.h>
#include <mex/mex-info-panel.h>
#include <mex/mex-lirc.h>
#include <mex/mex-log.h>
#include <mex/mex-logo-provider.h>
#include <mex/mex-main.h>
#include <mex/mex-media-controls.h>
#include <mex/mex-menu.h>
#include <mex/mex-mmkeys.h>
#include <mex/mex-model.h>
#include <mex/mex-model-manager.h>
#include <mex/mex-model-provider.h>
#include <mex/mex-music-grid-view.h>
#include <mex/mex-feed.h>
#include <mex/mex-player.h>
#include <mex/mex-plugin.h>
#include <mex/mex-plugin-manager.h>
#include <mex/mex-program.h>
#include <mex/mex-proxy.h>
#include <mex/mex-resizing-hbox.h>
#include <mex/mex-resizing-hbox-child.h>
#include <mex/mex-scroll-indicator.h>
#include <mex/mex-scroll-view.h>
#include <mex/mex-scrollable-container.h>
#include <mex/mex-settings.h>
#include <mex/mex-shadow.h>
#include <mex/mex-slide-show.h>
#include <mex/mex-tile.h>
#include <mex/mex-tool-provider.h>
#include <mex/mex-queue-button.h>
#include <mex/mex-queue-model.h>
#include <mex/mex-uri-channel-provider.h>
#include <mex/mex-utils.h>
#include <mex/mex-volume-control.h>
#include <mex/mex-view-model.h>

#include <mex/mex-enum-types.h>

#endif /* __MEX_H__ */
